Ruby 2.0.0p353(2013-11-22revision43784)

- Main Page
- Modules
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

Data Fields
sockaddr_storage Struct Reference

`#include <rubysocket.h>`

## Data Fields
unsigned short | ss_family
char | __ss_pad1 [_SS_PAD1SIZE]
double | __ss_align
char | __ss_pad2 [_SS_PAD2SIZE]

## Detailed Description

Definition at line 134 of file rubysocket.h.

## Field Documentation

double sockaddr_storage::__ss_align

Definition at line 142 of file rubysocket.h.

char sockaddr_storage::__ss_pad1[_SS_PAD1SIZE]

Definition at line 141 of file rubysocket.h.

char sockaddr_storage::__ss_pad2[_SS_PAD2SIZE]

Definition at line 143 of file rubysocket.h.

unsigned short sockaddr_storage::ss_family

Definition at line 139 of file rubysocket.h.

Referenced by inspect_sockaddr(), and rsock_getfamily().

The documentation for this struct was generated from the following file:

- ext/socket/rubysocket.h